/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 大恒泰山系统
 * 创建日期:2023/10/31
 */
package org.ts.ddcs.metadata.sw.jpz;

/*** 
 * Date:2023/10/31
 * Title:水文流量元数据定义-柬埔寨
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
public enum SwJpzFlowRateMetadataEnum {
    /**
     * 接收时间
     */
    METADATA_FROM_TIME("FROM_TIME", "fromTime"),

    /**
     * 采集时间
     */
    METADATA_COLLECT_TIME("TT", "tm"),

    /**
     * 测站编码
     */
    METADATA_RTU_CODE("ST", "stcd"),

    /**
     * 站类型
     */
    METADATA_ST("ST", "st"),

    /**
     * 累计流量
     */
    METADATA_ACCF("EXT_SUM_FLOW_RATE", "accf"),

    /**
     * 瞬时流量、抽水流量
     */
    METADATA_Q("Q", "q"),

    /**
     * 当前瞬时流速
     */
    METADATA_VJ("VJ", "vj"),

    /**
     * 瞬时水位
     */
    METADATA_Z("Z", "z");

    private String code;

    private String name;

    SwJpzFlowRateMetadataEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    /**
     * 根据CODE查名称
     *
     * @param code
     * @return
     */
    public static String getName(String code) {
        for (SwJpzFlowRateMetadataEnum point : SwJpzFlowRateMetadataEnum.values()) {
            if (code.equals(point.getCode())) {
                return point.getName();
            }
        }
        return "";
    }

    /**
     * 根据名称查代码
     *
     * @param name
     * @return
     */
    public static String getCode(String name) {
        for (SwJpzFlowRateMetadataEnum point : SwJpzFlowRateMetadataEnum.values()) {
            if (name.equals(point.getName())) {
                return point.getCode();
            }
        }
        return "";
    }
}
